<?xml version="1.0" encoding="us-ascii"?>
<!-- RRD ActiveDisclosure(SM) XBRL Linkbase Document - http://www.financial.rrd.com/ -->
<!-- Creation Date      : 2014-11-06T21:55:47.6440239+00:00 -->
<!-- Version            : 1.9.2.4 -->
<!-- Package ID         : 4CD30598FF4B26638698D5809F2ADBCB-0000933136-001409 -->
<!-- Copyright (c) 2014 R. R. Donnelley &amp; Sons Company. All Rights Reserved. -->
<linkbase xmlns="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <roleRef xlink:type="simple" xlink:href="wmih-20140930.xsd#TemplateLink" roleURI="http://wmiholdingscorp.com/20140930/role/TemplateLink" />
  <roleRef roleURI="http://wmiholdingscorp.com/20140930/taxonomy/role/StatementCondensedConsolidatedBalanceSheetsUnaudited" xlink:href="wmih-20140930.xsd#Role_StatementCondensedConsolidatedBalanceSheetsUnaudited" xlink:type="simple" />
  <calculationLink xlink:type="extended" xlink:role="http://wmiholdingscorp.com/20140930/taxonomy/role/StatementCondensedConsolidatedBalanceSheetsUnaudited">
    <loc xlink:href="wmih-20140930.xsd#wmih_CashEquivalentsHeldInTrust" xlink:type="locator" xlink:label="wmih_CashEquivalentsHeldInTrust" />
    <loc xlink:href="wmih-20140930.xsd#wmih_FixedMaturitySecuritiesHeldInTrustEstimatedFairValue" xlink:type="locator" xlink:label="wmih_FixedMaturitySecuritiesHeldInTrustEstimatedFairValue" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_OtherAssetsNoncurrent" xlink:type="locator" xlink:label="us-gaap_OtherAssetsNoncurrent" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_DeferredOfferingCosts" xlink:type="locator" xlink:label="us-gaap_DeferredOfferingCosts" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_AccruedInvestmentIncomeReceivable" xlink:type="locator" xlink:label="us-gaap_AccruedInvestmentIncomeReceivable" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_RestrictedCashAndInvestments" xlink:type="locator" xlink:label="us-gaap_RestrictedCashAndInvestments" />
    <loc xlink:href="wmih-20140930.xsd#wmih_UnrestrictedFixedHeldInMaturitySecuritiesEstimatedFairValue" xlink:type="locator" xlink:label="wmih_UnrestrictedFixedHeldInMaturitySecuritiesEstimatedFairValue" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_CashAndCashEquivalentsAtCarryingValue" xlink:type="locator" xlink:label="us-gaap_CashAndCashEquivalentsAtCarryingValue" />
    <loc xlink:href="wmih-20140930.xsd#wmih_InvestmentsHeldInTrust" xlink:type="locator" xlink:label="wmih_InvestmentsHeldInTrust" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_Assets" xlink:type="locator" xlink:label="us-gaap_Assets" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_OtherLiabilities" xlink:type="locator" xlink:label="us-gaap_OtherLiabilities" />
    <loc xlink:href="wmih-20140930.xsd#wmih_LossContractFairMarketValueReserve" xlink:type="locator" xlink:label="wmih_LossContractFairMarketValueReserve" />
    <loc xlink:href="wmih-20140930.xsd#wmih_AccruedCedingCommission" xlink:type="locator" xlink:label="wmih_AccruedCedingCommission" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_UnearnedPremiums" xlink:type="locator" xlink:label="us-gaap_UnearnedPremiums" />
    <loc xlink:href="wmih-20140930.xsd#wmih_LossPayable" xlink:type="locator" xlink:label="wmih_LossPayable" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_LiabilityForUnpaidClaimsAndClaimsAdjustmentExpenseNet" xlink:type="locator" xlink:label="us-gaap_LiabilityForUnpaidClaimsAndClaimsAdjustmentExpenseNet" />
    <loc xlink:href="wmih-20140930.xsd#wmih_NotesPayableInterestAmount" xlink:type="locator" xlink:label="wmih_NotesPayableInterestAmount" />
    <loc xlink:href="wmih-20140930.xsd#wmih_NotesPayablePrincipalAmount" xlink:type="locator" xlink:label="wmih_NotesPayablePrincipalAmount" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_RetainedEarningsAccumulatedDeficit" xlink:type="locator" xlink:label="us-gaap_RetainedEarningsAccumulatedDeficit" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_AdditionalPaidInCapital" xlink:type="locator" xlink:label="us-gaap_AdditionalPaidInCapital" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_CommonStockValue" xlink:type="locator" xlink:label="us-gaap_CommonStockValue" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_PreferredStockValue" xlink:type="locator" xlink:label="us-gaap_PreferredStockValue" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_StockholdersEquity" xlink:type="locator" xlink:label="us-gaap_StockholdersEquity" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_Liabilities" xlink:type="locator" xlink:label="us-gaap_Liabilities" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_LiabilitiesAndStockholdersEquity" xlink:type="locator" xlink:label="us-gaap_LiabilitiesAndStockholdersEquity" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LiabilitiesAndStockholdersEquity" xlink:to="us-gaap_Liabilities" order="10010.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LiabilitiesAndStockholdersEquity" xlink:to="us-gaap_StockholdersEquity" order="10020.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_StockholdersEquity" xlink:to="us-gaap_PreferredStockValue" order="10030.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_StockholdersEquity" xlink:to="us-gaap_CommonStockValue" order="10040.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_StockholdersEquity" xlink:to="us-gaap_AdditionalPaidInCapital" order="10050.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_StockholdersEquity" xlink:to="us-gaap_RetainedEarningsAccumulatedDeficit" order="10060.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Liabilities" xlink:to="wmih_NotesPayablePrincipalAmount" order="10070.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Liabilities" xlink:to="wmih_NotesPayableInterestAmount" order="10080.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Liabilities" xlink:to="us-gaap_LiabilityForUnpaidClaimsAndClaimsAdjustmentExpenseNet" order="10090.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Liabilities" xlink:to="wmih_LossPayable" order="10100.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Liabilities" xlink:to="us-gaap_UnearnedPremiums" order="10110.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Liabilities" xlink:to="wmih_AccruedCedingCommission" order="10120.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Liabilities" xlink:to="wmih_LossContractFairMarketValueReserve" order="10130.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Liabilities" xlink:to="us-gaap_OtherLiabilities" order="10140.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Assets" xlink:to="wmih_InvestmentsHeldInTrust" order="10150.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Assets" xlink:to="us-gaap_CashAndCashEquivalentsAtCarryingValue" order="10160.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Assets" xlink:to="wmih_UnrestrictedFixedHeldInMaturitySecuritiesEstimatedFairValue" order="10170.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Assets" xlink:to="us-gaap_RestrictedCashAndInvestments" order="10180.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Assets" xlink:to="us-gaap_AccruedInvestmentIncomeReceivable" order="10190.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Assets" xlink:to="us-gaap_DeferredOfferingCosts" order="10200.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Assets" xlink:to="us-gaap_OtherAssetsNoncurrent" order="10210.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="wmih_InvestmentsHeldInTrust" xlink:to="wmih_FixedMaturitySecuritiesHeldInTrustEstimatedFairValue" order="10220.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="wmih_InvestmentsHeldInTrust" xlink:to="wmih_CashEquivalentsHeldInTrust" order="10230.00" priority="2" use="optional" weight="1.00" />
  </calculationLink>
  <roleRef roleURI="http://wmiholdingscorp.com/20140930/taxonomy/role/StatementCondensedConsolidatedStatementsOfOperationsUnaudited" xlink:href="wmih-20140930.xsd#Role_StatementCondensedConsolidatedStatementsOfOperationsUnaudited" xlink:type="simple" />
  <calculationLink xlink:type="extended" xlink:role="http://wmiholdingscorp.com/20140930/taxonomy/role/StatementCondensedConsolidatedStatementsOfOperationsUnaudited">
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_InvestmentIncomeNet" xlink:type="locator" xlink:label="us-gaap_InvestmentIncomeNet" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_PremiumsEarnedNet" xlink:type="locator" xlink:label="us-gaap_PremiumsEarnedNet" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_InterestExpense" xlink:type="locator" xlink:label="us-gaap_InterestExpense" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_GainLossOnContractTermination" xlink:type="locator" xlink:label="us-gaap_GainLossOnContractTermination" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_UnrealizedGainLossOnDerivativesAndCommodityContracts" xlink:type="locator" xlink:label="us-gaap_UnrealizedGainLossOnDerivativesAndCommodityContracts" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_GeneralAndAdministrativeExpense" xlink:type="locator" xlink:label="us-gaap_GeneralAndAdministrativeExpense" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_NoninterestExpenseCommissionExpense" xlink:type="locator" xlink:label="us-gaap_NoninterestExpenseCommissionExpense" />
    <loc xlink:href="wmih-20140930.xsd#wmih_LossesAndLossAdjustmentExpensesBenefit" xlink:type="locator" xlink:label="wmih_LossesAndLossAdjustmentExpensesBenefit" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_OperatingExpenses" xlink:type="locator" xlink:label="us-gaap_OperatingExpenses" />
    <loc xlink:href="wmih-20140930.xsd#wmih_RevenueLossesFromInvestments" xlink:type="locator" xlink:label="wmih_RevenueLossesFromInvestments" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_CurrentFederalTaxExpenseBenefit" xlink:type="locator" xlink:label="us-gaap_CurrentFederalTaxExpenseBenefit" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesDomestic" xlink:type="locator" xlink:label="us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesDomestic" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_DividendsPreferredStock" xlink:type="locator" xlink:label="us-gaap_DividendsPreferredStock" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_NetIncomeLoss" xlink:type="locator" xlink:label="us-gaap_NetIncomeLoss" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_NetIncomeLossAvailableToCommonStockholdersBasic" xlink:type="locator" xlink:label="us-gaap_NetIncomeLossAvailableToCommonStockholdersBasic" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetIncomeLossAvailableToCommonStockholdersBasic" xlink:to="us-gaap_NetIncomeLoss" order="10010.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetIncomeLossAvailableToCommonStockholdersBasic" xlink:to="us-gaap_DividendsPreferredStock" order="10020.00" priority="2" use="optional" weight="-1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetIncomeLoss" xlink:to="us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesDomestic" order="10030.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetIncomeLoss" xlink:to="us-gaap_CurrentFederalTaxExpenseBenefit" order="10040.00" priority="2" use="optional" weight="-1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesDomestic" xlink:to="wmih_RevenueLossesFromInvestments" order="10050.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesDomestic" xlink:to="us-gaap_OperatingExpenses" order="10060.00" priority="2" use="optional" weight="-1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingExpenses" xlink:to="wmih_LossesAndLossAdjustmentExpensesBenefit" order="10070.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingExpenses" xlink:to="us-gaap_NoninterestExpenseCommissionExpense" order="10080.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingExpenses" xlink:to="us-gaap_GeneralAndAdministrativeExpense" order="10090.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingExpenses" xlink:to="us-gaap_UnrealizedGainLossOnDerivativesAndCommodityContracts" order="10100.00" priority="2" use="optional" weight="-1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingExpenses" xlink:to="us-gaap_GainLossOnContractTermination" order="10110.00" priority="2" use="optional" weight="-1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingExpenses" xlink:to="us-gaap_InterestExpense" order="10120.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="wmih_RevenueLossesFromInvestments" xlink:to="us-gaap_PremiumsEarnedNet" order="10130.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="wmih_RevenueLossesFromInvestments" xlink:to="us-gaap_InvestmentIncomeNet" order="10140.00" priority="2" use="optional" weight="1.00" />
  </calculationLink>
  <roleRef roleURI="http://wmiholdingscorp.com/20140930/taxonomy/role/StatementCondensedConsolidatedStatementsOfCashFlowsUnaudited" xlink:href="wmih-20140930.xsd#Role_StatementCondensedConsolidatedStatementsOfCashFlowsUnaudited" xlink:type="simple" />
  <calculationLink xlink:type="extended" xlink:role="http://wmiholdingscorp.com/20140930/taxonomy/role/StatementCondensedConsolidatedStatementsOfCashFlowsUnaudited">
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_IncreaseDecreaseInOtherOperatingLiabilities" xlink:type="locator" xlink:label="us-gaap_IncreaseDecreaseInOtherOperatingLiabilities" />
    <loc xlink:href="wmih-20140930.xsd#wmih_IncreaseDecreaseInLossContractFairMarketValueReserve" xlink:type="locator" xlink:label="wmih_IncreaseDecreaseInLossContractFairMarketValueReserve" />
    <loc xlink:href="wmih-20140930.xsd#wmih_IncreaseDecreaseInAccruedInterestOnNotesPayable" xlink:type="locator" xlink:label="wmih_IncreaseDecreaseInAccruedInterestOnNotesPayable" />
    <loc xlink:href="wmih-20140930.xsd#wmih_IncreaseDecreaseInAccruedCedingCommissionExpense" xlink:type="locator" xlink:label="wmih_IncreaseDecreaseInAccruedCedingCommissionExpense" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_IncreaseDecreaseInUnearnedPremiums" xlink:type="locator" xlink:label="us-gaap_IncreaseDecreaseInUnearnedPremiums" />
    <loc xlink:href="wmih-20140930.xsd#wmih_IncreaseDecreaseInLossesPayable" xlink:type="locator" xlink:label="wmih_IncreaseDecreaseInLossesPayable" />
    <loc xlink:href="wmih-20140930.xsd#wmih_IncreaseDecreaseInLossesAndLossAdjustmentReserves" xlink:type="locator" xlink:label="wmih_IncreaseDecreaseInLossesAndLossAdjustmentReserves" />
    <loc xlink:href="wmih-20140930.xsd#wmih_NetChangeInRestrictedCash" xlink:type="locator" xlink:label="wmih_NetChangeInRestrictedCash" />
    <loc xlink:href="wmih-20140930.xsd#wmih_IncreaseDecreaseInCashHeldInTrust" xlink:type="locator" xlink:label="wmih_IncreaseDecreaseInCashHeldInTrust" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_IncreaseDecreaseInOtherOperatingAssets" xlink:type="locator" xlink:label="us-gaap_IncreaseDecreaseInOtherOperatingAssets" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_IncreaseDecreaseInAccruedInvestmentIncomeReceivable" xlink:type="locator" xlink:label="us-gaap_IncreaseDecreaseInAccruedInvestmentIncomeReceivable" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_ShareBasedCompensation" xlink:type="locator" xlink:label="us-gaap_ShareBasedCompensation" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_TradingSecuritiesUnrealizedHoldingGainLoss" xlink:type="locator" xlink:label="us-gaap_TradingSecuritiesUnrealizedHoldingGainLoss" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_GainLossOnSaleOfInvestments" xlink:type="locator" xlink:label="us-gaap_GainLossOnSaleOfInvestments" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_AmortizationOfDebtDiscountPremium" xlink:type="locator" xlink:label="us-gaap_AmortizationOfDebtDiscountPremium" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_AdjustmentsToReconcileNetIncomeLossToCashProvidedByUsedInOperatingActivities" xlink:type="locator" xlink:label="us-gaap_AdjustmentsToReconcileNetIncomeLossToCashProvidedByUsedInOperatingActivities" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_NetIncomeLoss" xlink:type="locator" xlink:label="us-gaap_NetIncomeLoss" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_ProceedsFromSaleAndMaturityOfTradingSecuritiesHeldforinvestment" xlink:type="locator" xlink:label="us-gaap_ProceedsFromSaleAndMaturityOfTradingSecuritiesHeldforinvestment" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_PaymentsToAcquireInvestments" xlink:type="locator" xlink:label="us-gaap_PaymentsToAcquireInvestments" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_ProceedsFromNotesPayable" xlink:type="locator" xlink:label="us-gaap_ProceedsFromNotesPayable" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_RepaymentsOfNotesPayable" xlink:type="locator" xlink:label="us-gaap_RepaymentsOfNotesPayable" />
    <loc xlink:href="wmih-20140930.xsd#wmih_IncreaseDecreaseInDeferredCosts" xlink:type="locator" xlink:label="wmih_IncreaseDecreaseInDeferredCosts" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_PaymentsOfStockIssuanceCosts" xlink:type="locator" xlink:label="us-gaap_PaymentsOfStockIssuanceCosts" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_ProceedsFromIssuanceOfPreferredStockPreferenceStockAndWarrants" xlink:type="locator" xlink:label="us-gaap_ProceedsFromIssuanceOfPreferredStockPreferenceStockAndWarrants" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_NetCashProvidedByUsedInFinancingActivitiesContinuingOperations" xlink:type="locator" xlink:label="us-gaap_NetCashProvidedByUsedInFinancingActivitiesContinuingOperations" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_NetCashProvidedByUsedInInvestingActivitiesContinuingOperations" xlink:type="locator" xlink:label="us-gaap_NetCashProvidedByUsedInInvestingActivitiesContinuingOperations" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_NetCashProvidedByUsedInOperatingActivitiesContinuingOperations" xlink:type="locator" xlink:label="us-gaap_NetCashProvidedByUsedInOperatingActivitiesContinuingOperations" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_CashAndCashEquivalentsPeriodIncreaseDecrease" xlink:type="locator" xlink:label="us-gaap_CashAndCashEquivalentsPeriodIncreaseDecrease" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_CashAndCashEquivalentsPeriodIncreaseDecrease" xlink:to="us-gaap_NetCashProvidedByUsedInOperatingActivitiesContinuingOperations" order="10010.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_CashAndCashEquivalentsPeriodIncreaseDecrease" xlink:to="us-gaap_NetCashProvidedByUsedInInvestingActivitiesContinuingOperations" order="10020.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_CashAndCashEquivalentsPeriodIncreaseDecrease" xlink:to="us-gaap_NetCashProvidedByUsedInFinancingActivitiesContinuingOperations" order="10030.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivitiesContinuingOperations" xlink:to="us-gaap_ProceedsFromIssuanceOfPreferredStockPreferenceStockAndWarrants" order="10040.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivitiesContinuingOperations" xlink:to="us-gaap_PaymentsOfStockIssuanceCosts" order="10050.00" priority="2" use="optional" weight="-1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivitiesContinuingOperations" xlink:to="wmih_IncreaseDecreaseInDeferredCosts" order="10060.00" priority="2" use="optional" weight="-1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivitiesContinuingOperations" xlink:to="us-gaap_RepaymentsOfNotesPayable" order="10070.00" priority="2" use="optional" weight="-1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivitiesContinuingOperations" xlink:to="us-gaap_ProceedsFromNotesPayable" order="10080.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInInvestingActivitiesContinuingOperations" xlink:to="us-gaap_PaymentsToAcquireInvestments" order="10090.00" priority="2" use="optional" weight="-1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInInvestingActivitiesContinuingOperations" xlink:to="us-gaap_ProceedsFromSaleAndMaturityOfTradingSecuritiesHeldforinvestment" order="10100.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivitiesContinuingOperations" xlink:to="us-gaap_NetIncomeLoss" order="10110.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivitiesContinuingOperations" xlink:to="us-gaap_AdjustmentsToReconcileNetIncomeLossToCashProvidedByUsedInOperatingActivities" order="10120.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AdjustmentsToReconcileNetIncomeLossToCashProvidedByUsedInOperatingActivities" xlink:to="us-gaap_AmortizationOfDebtDiscountPremium" order="10130.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AdjustmentsToReconcileNetIncomeLossToCashProvidedByUsedInOperatingActivities" xlink:to="us-gaap_GainLossOnSaleOfInvestments" order="10140.00" priority="2" use="optional" weight="-1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AdjustmentsToReconcileNetIncomeLossToCashProvidedByUsedInOperatingActivities" xlink:to="us-gaap_TradingSecuritiesUnrealizedHoldingGainLoss" order="10150.00" priority="2" use="optional" weight="-1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AdjustmentsToReconcileNetIncomeLossToCashProvidedByUsedInOperatingActivities" xlink:to="us-gaap_ShareBasedCompensation" order="10160.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AdjustmentsToReconcileNetIncomeLossToCashProvidedByUsedInOperatingActivities" xlink:to="us-gaap_IncreaseDecreaseInAccruedInvestmentIncomeReceivable" order="10170.00" priority="2" use="optional" weight="-1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AdjustmentsToReconcileNetIncomeLossToCashProvidedByUsedInOperatingActivities" xlink:to="us-gaap_IncreaseDecreaseInOtherOperatingAssets" order="10180.00" priority="2" use="optional" weight="-1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AdjustmentsToReconcileNetIncomeLossToCashProvidedByUsedInOperatingActivities" xlink:to="wmih_IncreaseDecreaseInCashHeldInTrust" order="10190.00" priority="2" use="optional" weight="-1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AdjustmentsToReconcileNetIncomeLossToCashProvidedByUsedInOperatingActivities" xlink:to="wmih_NetChangeInRestrictedCash" order="10200.00" priority="2" use="optional" weight="-1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AdjustmentsToReconcileNetIncomeLossToCashProvidedByUsedInOperatingActivities" xlink:to="wmih_IncreaseDecreaseInLossesAndLossAdjustmentReserves" order="10210.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AdjustmentsToReconcileNetIncomeLossToCashProvidedByUsedInOperatingActivities" xlink:to="wmih_IncreaseDecreaseInLossesPayable" order="10220.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AdjustmentsToReconcileNetIncomeLossToCashProvidedByUsedInOperatingActivities" xlink:to="us-gaap_IncreaseDecreaseInUnearnedPremiums" order="10230.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AdjustmentsToReconcileNetIncomeLossToCashProvidedByUsedInOperatingActivities" xlink:to="wmih_IncreaseDecreaseInAccruedCedingCommissionExpense" order="10240.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AdjustmentsToReconcileNetIncomeLossToCashProvidedByUsedInOperatingActivities" xlink:to="wmih_IncreaseDecreaseInAccruedInterestOnNotesPayable" order="10250.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AdjustmentsToReconcileNetIncomeLossToCashProvidedByUsedInOperatingActivities" xlink:to="wmih_IncreaseDecreaseInLossContractFairMarketValueReserve" order="10260.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AdjustmentsToReconcileNetIncomeLossToCashProvidedByUsedInOperatingActivities" xlink:to="us-gaap_IncreaseDecreaseInOtherOperatingLiabilities" order="10270.00" priority="2" use="optional" weight="1.00" />
  </calculationLink>
  <roleRef roleURI="http://wmiholdingscorp.com/20140930/taxonomy/role/DisclosureInsuranceActivityScheduleOfPremiumsAssumedAndEarnedDetail" xlink:href="wmih-20140930.xsd#Role_DisclosureInsuranceActivityScheduleOfPremiumsAssumedAndEarnedDetail" xlink:type="simple" />
  <calculationLink xlink:type="extended" xlink:role="http://wmiholdingscorp.com/20140930/taxonomy/role/DisclosureInsuranceActivityScheduleOfPremiumsAssumedAndEarnedDetail">
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_IncreaseDecreaseInUnearnedPremiums" xlink:type="locator" xlink:label="us-gaap_IncreaseDecreaseInUnearnedPremiums" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_PremiumsWrittenNet" xlink:type="locator" xlink:label="us-gaap_PremiumsWrittenNet" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_PremiumsEarnedNet" xlink:type="locator" xlink:label="us-gaap_PremiumsEarnedNet" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_PremiumsEarnedNet" xlink:to="us-gaap_PremiumsWrittenNet" order="10010.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_PremiumsEarnedNet" xlink:to="us-gaap_IncreaseDecreaseInUnearnedPremiums" order="10020.00" priority="2" use="optional" weight="-1.00" />
  </calculationLink>
  <roleRef roleURI="http://wmiholdingscorp.com/20140930/taxonomy/role/DisclosureInvestmentSecuritiesScheduleOfAmortizedCostGrossUnrealizedGainsGrossUnrealizedLossesAndEstimatedFairValuesOfFixedMaturitySecuritiesDetail" xlink:href="wmih-20140930.xsd#Role_DisclosureInvestmentSecuritiesScheduleOfAmortizedCostGrossUnrealizedGainsGrossUnrealizedLossesAndEstimatedFairValuesOfFixedMaturitySecuritiesDetail" xlink:type="simple" />
  <calculationLink xlink:type="extended" xlink:role="http://wmiholdingscorp.com/20140930/taxonomy/role/DisclosureInvestmentSecuritiesScheduleOfAmortizedCostGrossUnrealizedGainsGrossUnrealizedLossesAndEstimatedFairValuesOfFixedMaturitySecuritiesDetail">
    <loc xlink:href="wmih-20140930.xsd#wmih_FixedMaturitySecuritiesGrossUnrealizedLosses" xlink:type="locator" xlink:label="wmih_FixedMaturitySecuritiesGrossUnrealizedLosses" />
    <loc xlink:href="wmih-20140930.xsd#wmih_FixedMaturitySecuritiesGrossUnrealizedGains" xlink:type="locator" xlink:label="wmih_FixedMaturitySecuritiesGrossUnrealizedGains" />
    <loc xlink:href="wmih-20140930.xsd#wmih_FixedMaturitySecuritiesAmortizedCost" xlink:type="locator" xlink:label="wmih_FixedMaturitySecuritiesAmortizedCost" />
    <loc xlink:href="wmih-20140930.xsd#wmih_FixedMaturitySecuritiesEstimatedFairValue" xlink:type="locator" xlink:label="wmih_FixedMaturitySecuritiesEstimatedFairValue" />
    <loc xlink:href="wmih-20140930.xsd#wmih_UnrestrictedFixedMaturitySecuritiesGrossUnrealizedLosses" xlink:type="locator" xlink:label="wmih_UnrestrictedFixedMaturitySecuritiesGrossUnrealizedLosses" />
    <loc xlink:href="wmih-20140930.xsd#wmih_UnrestrictedFixedMaturitySecuritiesGrossUnrealizedGains" xlink:type="locator" xlink:label="wmih_UnrestrictedFixedMaturitySecuritiesGrossUnrealizedGains" />
    <loc xlink:href="wmih-20140930.xsd#wmih_UnrestrictedFixedMaturitySecuritiesAmortizedCost" xlink:type="locator" xlink:label="wmih_UnrestrictedFixedMaturitySecuritiesAmortizedCost" />
    <loc xlink:href="wmih-20140930.xsd#wmih_UnrestrictedFixedMaturitySecuritiesEstimatedFairValue" xlink:type="locator" xlink:label="wmih_UnrestrictedFixedMaturitySecuritiesEstimatedFairValue" />
    <loc xlink:href="wmih-20140930.xsd#wmih_FixedMaturitySecuritiesHeldInTrustGrossUnrealizedLosses" xlink:type="locator" xlink:label="wmih_FixedMaturitySecuritiesHeldInTrustGrossUnrealizedLosses" />
    <loc xlink:href="wmih-20140930.xsd#wmih_FixedMaturitySecuritiesHeldInTrustGrossUnrealizedGains" xlink:type="locator" xlink:label="wmih_FixedMaturitySecuritiesHeldInTrustGrossUnrealizedGains" />
    <loc xlink:href="wmih-20140930.xsd#wmih_FixedMaturitySecuritiesHeldInTrustAmortizedCost" xlink:type="locator" xlink:label="wmih_FixedMaturitySecuritiesHeldInTrustAmortizedCost" />
    <loc xlink:href="wmih-20140930.xsd#wmih_FixedMaturitySecuritiesHeldInTrustEstimatedFairValue" xlink:type="locator" xlink:label="wmih_FixedMaturitySecuritiesHeldInTrustEstimatedFairValue" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="wmih_FixedMaturitySecuritiesHeldInTrustEstimatedFairValue" xlink:to="wmih_FixedMaturitySecuritiesHeldInTrustAmortizedCost" order="10010.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="wmih_FixedMaturitySecuritiesHeldInTrustEstimatedFairValue" xlink:to="wmih_FixedMaturitySecuritiesHeldInTrustGrossUnrealizedGains" order="10020.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="wmih_FixedMaturitySecuritiesHeldInTrustEstimatedFairValue" xlink:to="wmih_FixedMaturitySecuritiesHeldInTrustGrossUnrealizedLosses" order="10030.00" priority="2" use="optional" weight="-1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="wmih_UnrestrictedFixedMaturitySecuritiesEstimatedFairValue" xlink:to="wmih_UnrestrictedFixedMaturitySecuritiesAmortizedCost" order="10040.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="wmih_UnrestrictedFixedMaturitySecuritiesEstimatedFairValue" xlink:to="wmih_UnrestrictedFixedMaturitySecuritiesGrossUnrealizedGains" order="10050.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="wmih_UnrestrictedFixedMaturitySecuritiesEstimatedFairValue" xlink:to="wmih_UnrestrictedFixedMaturitySecuritiesGrossUnrealizedLosses" order="10060.00" priority="2" use="optional" weight="-1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="wmih_FixedMaturitySecuritiesEstimatedFairValue" xlink:to="wmih_FixedMaturitySecuritiesAmortizedCost" order="10070.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="wmih_FixedMaturitySecuritiesEstimatedFairValue" xlink:to="wmih_FixedMaturitySecuritiesGrossUnrealizedGains" order="10080.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="wmih_FixedMaturitySecuritiesEstimatedFairValue" xlink:to="wmih_FixedMaturitySecuritiesGrossUnrealizedLosses" order="10090.00" priority="2" use="optional" weight="-1.00" />
  </calculationLink>
  <roleRef roleURI="http://wmiholdingscorp.com/20140930/taxonomy/role/DisclosureInvestmentSecuritiesScheduleOfAmortizedCostAndEstimatedFairValueOfFixedMaturitySecuritiesByContractualMaturityDetail" xlink:href="wmih-20140930.xsd#Role_DisclosureInvestmentSecuritiesScheduleOfAmortizedCostAndEstimatedFairValueOfFixedMaturitySecuritiesByContractualMaturityDetail" xlink:type="simple" />
  <calculationLink xlink:type="extended" xlink:role="http://wmiholdingscorp.com/20140930/taxonomy/role/DisclosureInvestmentSecuritiesScheduleOfAmortizedCostAndEstimatedFairValueOfFixedMaturitySecuritiesByContractualMaturityDetail">
    <loc xlink:href="wmih-20140930.xsd#wmih_FixedMaturitySecuritiesDebtMaturitiesAfterOneThroughFiveYearsAmortizedCost" xlink:type="locator" xlink:label="wmih_FixedMaturitySecuritiesDebtMaturitiesAfterOneThroughFiveYearsAmortizedCost" />
    <loc xlink:href="wmih-20140930.xsd#wmih_FixedMaturitySecuritiesDebtMaturitiesWithinOneYearAmortizedCost" xlink:type="locator" xlink:label="wmih_FixedMaturitySecuritiesDebtMaturitiesWithinOneYearAmortizedCost" />
    <loc xlink:href="wmih-20140930.xsd#wmih_FixedMaturitySecuritiesAmortizedCost" xlink:type="locator" xlink:label="wmih_FixedMaturitySecuritiesAmortizedCost" />
    <loc xlink:href="wmih-20140930.xsd#wmih_FixedMaturitySecuritiesDebtMaturitiesAfterOneThroughFiveYearsFairValue" xlink:type="locator" xlink:label="wmih_FixedMaturitySecuritiesDebtMaturitiesAfterOneThroughFiveYearsFairValue" />
    <loc xlink:href="wmih-20140930.xsd#wmih_FixedMaturitySecuritiesDebtMaturitiesWithinOneYearFairValue" xlink:type="locator" xlink:label="wmih_FixedMaturitySecuritiesDebtMaturitiesWithinOneYearFairValue" />
    <loc xlink:href="wmih-20140930.xsd#wmih_FixedMaturitySecuritiesEstimatedFairValue" xlink:type="locator" xlink:label="wmih_FixedMaturitySecuritiesEstimatedFairValue" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="wmih_FixedMaturitySecuritiesEstimatedFairValue" xlink:to="wmih_FixedMaturitySecuritiesDebtMaturitiesWithinOneYearFairValue" order="10010.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="wmih_FixedMaturitySecuritiesEstimatedFairValue" xlink:to="wmih_FixedMaturitySecuritiesDebtMaturitiesAfterOneThroughFiveYearsFairValue" order="10020.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="wmih_FixedMaturitySecuritiesAmortizedCost" xlink:to="wmih_FixedMaturitySecuritiesDebtMaturitiesWithinOneYearAmortizedCost" order="10030.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="wmih_FixedMaturitySecuritiesAmortizedCost" xlink:to="wmih_FixedMaturitySecuritiesDebtMaturitiesAfterOneThroughFiveYearsAmortizedCost" order="10040.00" priority="2" use="optional" weight="1.00" />
  </calculationLink>
  <roleRef roleURI="http://wmiholdingscorp.com/20140930/taxonomy/role/DisclosureInvestmentSecuritiesSummaryOfNetInvestmentIncomeLossDetail" xlink:href="wmih-20140930.xsd#Role_DisclosureInvestmentSecuritiesSummaryOfNetInvestmentIncomeLossDetail" xlink:type="simple" />
  <calculationLink xlink:type="extended" xlink:role="http://wmiholdingscorp.com/20140930/taxonomy/role/DisclosureInvestmentSecuritiesSummaryOfNetInvestmentIncomeLossDetail">
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_TradingSecuritiesUnrealizedHoldingGainLoss" xlink:type="locator" xlink:label="us-gaap_TradingSecuritiesUnrealizedHoldingGainLoss" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_GainLossOnSaleOfInvestments" xlink:type="locator" xlink:label="us-gaap_GainLossOnSaleOfInvestments" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_InvestmentIncomeInterest" xlink:type="locator" xlink:label="us-gaap_InvestmentIncomeInterest" />
    <loc xlink:href="wmih-20140930.xsd#wmih_InvestmentIncomeOnFixedMaturitySecurities" xlink:type="locator" xlink:label="wmih_InvestmentIncomeOnFixedMaturitySecurities" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_InvestmentIncomeNetAmortizationOfDiscountAndPremium" xlink:type="locator" xlink:label="us-gaap_InvestmentIncomeNetAmortizationOfDiscountAndPremium" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_InvestmentIncomeNet" xlink:type="locator" xlink:label="us-gaap_InvestmentIncomeNet" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_InvestmentIncomeNet" xlink:to="us-gaap_InvestmentIncomeNetAmortizationOfDiscountAndPremium" order="10010.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_InvestmentIncomeNet" xlink:to="wmih_InvestmentIncomeOnFixedMaturitySecurities" order="10020.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_InvestmentIncomeNet" xlink:to="us-gaap_InvestmentIncomeInterest" order="10030.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_InvestmentIncomeNet" xlink:to="us-gaap_GainLossOnSaleOfInvestments" order="10040.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_InvestmentIncomeNet" xlink:to="us-gaap_TradingSecuritiesUnrealizedHoldingGainLoss" order="10050.00" priority="2" use="optional" weight="1.00" />
  </calculationLink>
  <roleRef roleURI="http://wmiholdingscorp.com/20140930/taxonomy/role/DisclosureNetLossIncomePerCommonShareComputationOfBasicNetIncomeLossPerShareDetail" xlink:href="wmih-20140930.xsd#Role_DisclosureNetLossIncomePerCommonShareComputationOfBasicNetIncomeLossPerShareDetail" xlink:type="simple" />
  <calculationLink xlink:type="extended" xlink:role="http://wmiholdingscorp.com/20140930/taxonomy/role/DisclosureNetLossIncomePerCommonShareComputationOfBasicNetIncomeLossPerShareDetail">
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_ParticipatingSecuritiesDistributedAndUndistributedEarningsLossBasic" xlink:type="locator" xlink:label="us-gaap_ParticipatingSecuritiesDistributedAndUndistributedEarningsLossBasic" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_DividendsPreferredStock" xlink:type="locator" xlink:label="us-gaap_DividendsPreferredStock" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_NetIncomeLoss" xlink:type="locator" xlink:label="us-gaap_NetIncomeLoss" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_NetIncomeLossAvailableToCommonStockholdersDiluted" xlink:type="locator" xlink:label="us-gaap_NetIncomeLossAvailableToCommonStockholdersDiluted" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_WeightedAverageNumberOfSharesOutstandingBasic" xlink:type="locator" xlink:label="us-gaap_WeightedAverageNumberOfSharesOutstandingBasic" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_IncrementalCommonSharesAttributableToNonvestedSharesWithForfeitableDividends" xlink:type="locator" xlink:label="us-gaap_IncrementalCommonSharesAttributableToNonvestedSharesWithForfeitableDividends" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_WeightedAverageNumberOfSharesIssuedBasic" xlink:type="locator" xlink:label="us-gaap_WeightedAverageNumberOfSharesIssuedBasic" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_WeightedAverageNumberOfSharesIssuedBasic" xlink:to="us-gaap_IncrementalCommonSharesAttributableToNonvestedSharesWithForfeitableDividends" order="10010.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_WeightedAverageNumberOfSharesIssuedBasic" xlink:to="us-gaap_WeightedAverageNumberOfSharesOutstandingBasic" order="10020.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetIncomeLossAvailableToCommonStockholdersDiluted" xlink:to="us-gaap_NetIncomeLoss" order="10030.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetIncomeLossAvailableToCommonStockholdersDiluted" xlink:to="us-gaap_DividendsPreferredStock" order="10040.00" priority="2" use="optional" weight="-1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetIncomeLossAvailableToCommonStockholdersDiluted" xlink:to="us-gaap_ParticipatingSecuritiesDistributedAndUndistributedEarningsLossBasic" order="10050.00" priority="2" use="optional" weight="-1.00" />
  </calculationLink>
  <roleRef roleURI="http://wmiholdingscorp.com/20140930/taxonomy/role/DisclosureNetLossIncomePerCommonShareScheduleOfComputationOfDilutiveEffectCalculatedToIndicateImpactOfNetIncomeAndAntiDilutiveCommonStockEquivalentsDetail" xlink:href="wmih-20140930.xsd#Role_DisclosureNetLossIncomePerCommonShareScheduleOfComputationOfDilutiveEffectCalculatedToIndicateImpactOfNetIncomeAndAntiDilutiveCommonStockEquivalentsDetail" xlink:type="simple" />
  <calculationLink xlink:type="extended" xlink:role="http://wmiholdingscorp.com/20140930/taxonomy/role/DisclosureNetLossIncomePerCommonShareScheduleOfComputationOfDilutiveEffectCalculatedToIndicateImpactOfNetIncomeAndAntiDilutiveCommonStockEquivalentsDetail">
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding" xlink:type="locator" xlink:label="us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_WeightedAverageNumberDilutedSharesOutstandingAdjustment" xlink:type="locator" xlink:label="us-gaap_WeightedAverageNumberDilutedSharesOutstandingAdjustment" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_IncrementalCommonSharesAttributableToNonvestedSharesWithForfeitableDividends" xlink:type="locator" xlink:label="us-gaap_IncrementalCommonSharesAttributableToNonvestedSharesWithForfeitableDividends" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd#us-gaap_WeightedAverageNumberOfSharesIssuedBasic" xlink:type="locator" xlink:label="us-gaap_WeightedAverageNumberOfSharesIssuedBasic" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_WeightedAverageNumberOfSharesIssuedBasic" xlink:to="us-gaap_IncrementalCommonSharesAttributableToNonvestedSharesWithForfeitableDividends" order="10010.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_WeightedAverageNumberOfSharesIssuedBasic" xlink:to="us-gaap_WeightedAverageNumberDilutedSharesOutstandingAdjustment" order="10020.00" priority="2" use="optional" weight="1.00" />
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_WeightedAverageNumberOfSharesIssuedBasic" xlink:to="us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding" order="10030.00" priority="2" use="optional" weight="1.00" />
  </calculationLink>
</linkbase>
